#include <iostream>
using namespace std;

int main() {
	int n,k,polja[10000];
	int a[10000],b[10000];
	
	cin>>n>>k;   //ulaz
	for(int i=0;i<n;i++)
	cin>>a[i];
	
	int x=0; 
	int s=0;
	for(int i=0;i<n;i++){
		for(int j=0;j<n;j++){
			if(a[i]==a[j]) x++;
			if(x==k){
				b[s]=a[i];
				s++;
				x=0;
			}
		}
		x=0;
	}
	int broj=0;
	
	for(int i=0;i<s;i++)
	broj++;  //broj clanovau nizu b

    for (int i=0;i<broj;i++){
        for(int j=0;j<i;j++){
            if(b[i]==b[j]){
                broj--;
                for(int k=i;k<broj;k++){
                    b[k]=b[k+1];
                }
                i--;   
            }
        }
    }
	
	cout<<broj<<endl;   //izlaz
	for(int i=0;i<broj;i++)
	cout<<b[i]<<" ";

	return 0;
}